<span class="block text-center text-2xl font-semibold text-blue-400">Todo Items List</span>
<div class="flex flex-wrap mx-4" *ngIf="(unfinishedTodos$ | async) as todos">
    <div class="w-full" *ngFor="let todo of todos">
        <app-todo-item [todo]="todo" (todoStatusChange)="onChangeTodoStatus($event)"></app-todo-item>
    </div>
    <div class="w-full h-[1px] bg-blue-400" *ngIf="todos?.length">
    </div>
</div>
<div class="flex flex-wrap mx-4">
    <div class="w-full" *ngFor="let todo of (completedTodos$ | async)">
        <app-todo-item [todo]="todo" (todoStatusChange)="onChangeTodoStatus($event)"></app-todo-item>
    </div>
</div>
<button class="block mx-auto rounded-full px-4 py-2 font-semibold text-white bg-blue-400">Save Changes</button>